﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using GrapeCity.ActiveReports.Export.Excel;

namespace SectionReportApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ToolStripButton btn = new ToolStripButton("SaveAs");
            btn.Text = "Save As...";
            btn.ToolTipText = "Export report in different format";
            viewer1.Toolbar.ToolStrip.Items.Add(btn);
            btn.Click += new EventHandler(btn_Click);

            viewer1.LoadDocument(new SectionReport1());

        }

        private void btn_Click(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.Export.Excel.Section.XlsExport XLSEx = new GrapeCity.ActiveReports.Export.Excel.Section.XlsExport();
            XLSEx.FileFormat = GrapeCity.ActiveReports.Export.Excel.Section.FileFormat.Xlsx;
            viewer1.Export(XLSEx, new System.IO.FileInfo("C:\\Temp\\Sample234.xlsx"));

        }
    }
}
